Subject: Re: Linux 2.6.x on 8xx status

From: Pantelis Antoniou <[email-masked]>
Date: Tue, 21 Sep 2004 09:12:03 +0300

Song Sam wrote:

>  Tom Rini <[email-masked]> wrote：
>
> > Note that the old SCC enet driver, in linuxppc-2.5 at least is
> > 'OK'. Not that it couldn't do with a cleanup and netdev person
> > audit, but it's functional enough for me and my rpxlite to mount a
> > root fs.
> >
> > -- Tom Rini http://gate.crashing.org/~trini/
>
>
>  Uh, I tried it again on lastest bk pull but still in vain. What's the
>  problem could be?
>
Well it works OK until it gets to start init.

Then it crashes the way it is supposed to :).

Tom I think it's the problem we are talking about.

Song please try this...

Song Sam wrote:

>  Tom Rini <[email-masked]> wrote：
>
> > Note that the old SCC enet driver, in linuxppc-2.5 at least is
> > 'OK'. Not that it couldn't do with a cleanup and netdev person
> > audit, but it's functional enough for me and my rpxlite to mount a
> > root fs.
> >
> > -- Tom Rini http://gate.crashing.org/~trini/
>
>
>  Uh, I tried it again on lastest bk pull but still in vain. What's the
>  problem could be?
>
Well it works OK until it gets to start init.

Then it crashes the way it is supposed to :).

Tom I think it's the problem we are talking about.

Song please try this...

Regards

Pantelis

--- linuxppc_2.5/arch/ppc/mm/init.c 2004-08-26 10:21:00.000000000 +0300
+++ linuxppc_2.5-intracom/arch/ppc/mm/init.c 2004-08-26 
10:34:00.000000000 +0300
@@ -632,9 +632,10 @@
struct page *page = pfn_to_page(pfn);
if (!PageReserved(page)
&& !test_bit(PG_arch_1, &page->flags)) {
- if (vma->vm_mm == current->active_mm)
- __flush_dcache_icache((void *) address);
- else
+ if (vma->vm_mm == current->active_mm) {
+ _tlbie(address);
+ __flush_dcache_icache((void *)address);
+ } else
flush_dcache_icache_page(page);
set_bit(PG_arch_1, &page->flags);
}